GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-repository/repository-details/{"{"}geoLocation{"}"}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "3821848e-245d-4629-98c7-b6443c429790",
"customer_guids": [
"a3b4587c-529f-458a-a2cf-87b7fc15b4cc",
"f4c8efcb-309c-4bbd-8357-f757b020aa29",
"c02f8c13-2f12-4a79-967c-49540f6002d7"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "a04a0111-b7e9-42b6-9e84-2dfe24b9e99f",
"customer_guids": [
"6336b776-bea7-48bc-8117-adab66bc2726",
"e46c1bd3-7c94-4b7f-b1a8-e40e6c2fbdd5",
"71368f10-884a-4eb4-9739-3df2846c3fea"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "efff56df-e79c-491f-83d4-8e401aea27cd",
"customer_guids": [
"cd818cc6-b7e1-411d-bf0b-9b4fa486868d",
"7e514be0-653b-4ff7-916a-bc50a166bf14",
"efafaf52-a883-4b7f-892d-027a72d91b48"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid | No documentation available. |
| CustomerGuids | Object | No documentation available. |
| RepositoryName | String | No documentation available. |
| RepositoryUrl | String | No documentation available. |
| Username | String | No documentation available. |
| Geolocs | Object | No documentation available. |
| Type | String | No documentation available. |
| Images | Object | No documentation available. |
| fpr | Object | No documentation available. |
| check_type | String | No documentation available. |
| tag | String | No documentation available. |
| zebratester | Object | No documentation available. |
| check_type | String | No documentation available. |
| tag | String | No documentation available. |
| runbin | Object | No documentation available. |
| check_type | String | No documentation available. |
| tag | String | No documentation available. |
| postman | Object | No documentation available. |
| check_type | String | No documentation available. |
| tag | String | No documentation available. |
| Mirroring | Boolean | No documentation available. |
| Message | String | No documentation available. |
| Success | Boolean | No documentation available. |